Core - Bug # 51728

Status: Resolved Priority: Should have
Author: Sebastian Fischer Category: Frontend
Created: 2013-09-04 Assigned To: Sebastian Fischer
Updated: 2013-09-09 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject:

MediaWizardProvider::process_youtube does not handle all url variants

Description

Youtube URLs come in a wide spectrum of variation. The wizard only handles those that have v=ID into them. This could be

enhanced.

Related issues:

related to Core - Bug # 58569: Content element "media" does not render Youtub...

Resolved 2014-05-06

Associated revisions

Revision 83b4390d - 2013-09-09 12:13 - Steffen Ritter

[FEATURE] Enhance youtube id getting

The preg_match to fetch the video id from an url do cover only a few

variation. The enhancement covers a lot more possibilities

Releases: 6.2

Fixes: #51728

Change-Id: 1e9d0b3b5dbfff4e129d37fcf351d1d8c5fcdfc98
Reviewed-on: https://review.typo3.org/23616

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring

Tested-by: Anja Leichsenring

History

#1 - 2013-09-04 18:47 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/23616

#2 - 2013-09-05 08:09 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/23616
#3 - 2013-09-05 08:37 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https:/review.typo3.org/23616

#4 - 2013-09-09 12:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:83b4390d962de5a3539c9d366efeaccad3584ca8s.
